# Interface LongSupplier

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface LongSupplier
Represents a supplier of `long`-valued results. This is the `long`-producing primitive specialization of `Supplier`.

There is no requirement that a distinct result be returned each time the supplier is invoked.

This is a functional interface whose functional method is `getAsLong()`.

Since:
  1.8
See Also:
  - `Supplier`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAsLong()`
  Gets a result.

- ## Method Details

  - ### getAsLong

    long getAsLong()
    Gets a result.
    Returns:
      a result